UpdateChannel
curl --request PATCH \
--url https://api.siftstack.com/api/v3/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>",
"active": true
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v3/channels"
payload = {
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": True
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>",
"active": True
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v3/channels"
payload := strings.NewReader("{\n \"channel\": {\n \"channelId\": \"<string>\",\n \"name\": \"<string>\",\n \"assetId\": \"<string>\",\n \"description\": \"<string>\",\n \"unitId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"enumTypes\": [\n {\n \"name\": \"<string>\",\n \"key\": 123,\n \"isSigned\": true\n }\n ],\n \"bitFieldElements\": [\n {\n \"name\": \"<string>\",\n \"index\": 123,\n \"bitCount\": 123\n }\n ],\n \"displayDescription\": \"<string>\",\n \"displayUnitId\": \"<string>\",\n \"active\": true\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>",
"active": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ChannelService
UpdateChannel
Update a channel.
PATCH
/
api
/
v3
/
channels
UpdateChannel
curl --request PATCH \
--url https://api.siftstack.com/api/v3/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>",
"active": true
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v3/channels"
payload = {
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": True
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>",
"active": True
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v3/channels"
payload := strings.NewReader("{\n \"channel\": {\n \"channelId\": \"<string>\",\n \"name\": \"<string>\",\n \"assetId\": \"<string>\",\n \"description\": \"<string>\",\n \"unitId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"dataType\": \"CHANNEL_DATA_TYPE_UNSPECIFIED\",\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"enumTypes\": [\n {\n \"name\": \"<string>\",\n \"key\": 123,\n \"isSigned\": true\n }\n ],\n \"bitFieldElements\": [\n {\n \"name\": \"<string>\",\n \"index\": 123,\n \"bitCount\": 123\n }\n ],\n \"displayDescription\": \"<string>\",\n \"displayUnitId\": \"<string>\",\n \"active\": true\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"channel": {
"channelId": "<string>",
"name": "<string>",
"assetId": "<string>",
"description": "<string>",
"unitId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"dataType": "CHANNEL_DATA_TYPE_UNSPECIFIED",
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"relationValue": {
"resourceType": "<string>",
"resourceId": "<string>"
},
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"enumTypes": [
{
"name": "<string>",
"key": 123,
"isSigned": true
}
],
"bitFieldElements": [
{
"name": "<string>",
"index": 123,
"bitCount": 123
}
],
"displayDescription": "<string>",
"displayUnitId": "<string>",
"active": true
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The request for a call to ChannelService_UpdateChannel.
Response
A successful response.
The result of a call to ChannelService_UpdateChannel.
Show child attributes
Show child attributes
Was this page helpful?
⌘I